Skip to main content
PUT
Expense type fields - update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the organization of the user UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
expenseType
enum<string>
required

Expense type where CarSpecification relates to Mileage, SubsistenceAllowance to Per Diem, etc

Available options:
CarSpecification,
FoodBenefitsSpecification,
FuelBenefitsSpecification,
ReceiptVerification,
SubsistenceAllowance

Query Parameters

applyScanResult
string

scan result id that should be applied on the fields UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$

Body

application/json

Fields format of expense record

fields
object[]

Field-builder array describing the editable properties of the resource. Each entry pairs a property name with a value and any errors.

validationErrors
object[]

Response-only. Server-populated array of validation errors that apply to the resource as a whole (not tied to a specific field).

Response

200 - application/json

OK

Fields format of expense record

meta
object
read-only
fields
object[]

Field-builder array describing the editable properties of the resource. Each entry pairs a property name with a value and any errors.

validationErrors
object[]

Response-only. Server-populated array of validation errors that apply to the resource as a whole (not tied to a specific field).